org.eclipse.wst.jsdt.ui.actions

## Class CCPActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.CCPActionGroup

    public class CCPActionGroup
    extends ActionGroup

Action group that adds the copy, cut, paste actions to a view part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`CCPActionGroup(IViewPart part)` Creates a new `CCPActionGroup`.
`CCPActionGroup(Page page)` Creates a new `CCPActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBars)`
`void` `fillContextMenu(IMenuManager menu)`
`IAction` `getDeleteAction()` Returns the delete action managed by this action group.
`void` `setShowLimited(boolean showLimited)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CCPActionGroup

    public CCPActionGroup(IViewPart part)

Creates a new `CCPActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### CCPActionGroup

    public CCPActionGroup(Page page)

Creates a new `CCPActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### Method Detail

#### getDeleteAction

    public IAction getDeleteAction()

Returns the delete action managed by this action group.

Returns:
  the delete action. Returns `null` if the group doesn't provide any delete action

#### fillActionBars

    public void fillActionBars(IActionBars actionBars)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()

#### setShowLimited

    public void setShowLimited(boolean showLimited)